## congress 5.0.0~rc1

=== debian/changelog ===
congress (5.0.0~rc1-0ubuntu2) zesty; urgency=medium

  * debian/patches/skip-unit-tests.patch: Re-enabled failed unit tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Feb 2017 21:21:50 -0500

congress (5.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 09:57:48 -0500

=== debian/control ===
Source: congress
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 52~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-alembic (>= 0.8.10),
                     python-antlr3,
                     python-aodhclient (>= 0.7.0),
                     python-babel (>= 2.3.4),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1.6.0),
                     python-coverage (>= 4.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.5.0),
                     python-hacking (>= 0.10.2),
                     python-heatclient (>= 1.6.1),
                     python-ironicclient (>= 1.11.0),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-mock (>= 2.0),
                     python-mox3 (>= 0.7.0),
                     python-muranoclient (>= 0.8.2),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:6.0.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.vmware (>= 2.17.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pulp (>= 1.4.1),
                     python-dateutil (>= 2.4.2),
                     python-requests-mock (>= 1.1),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.2.1),
                     python-swiftclient (>= 1:3.2.0),
                     python-tenacity (>= 3.2.1),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/congress
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/congress
Homepage: http://congress.openstack.org/

Package: python-congress
Section: python
Architecture: all
Depends: python-alembic (>= 0.8.10),
         python-aodhclient (>= 0.7.0),
         python-babel (>= 2.3.4),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1.6.0),
         python-eventlet (>= 0.18.2),
         python-glanceclient (>= 1:2.5.0),
         python-heatclient (>= 1.6.1),
         python-ironicclient (>= 1.6.0),
         python-keystoneauth1 (>= 2.14.0),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.2.0),
         python-muranoclient (>= 0.8.2),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslo.vmware (>= 2.15.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pulp (>= 1.4.1),
         python-dateutil (>= 2.4.2),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-swiftclient (>= 1:3.2.0),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Policy as a Service - Python libraries
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains the Python libraries that are part of Cinder.

Package: congress-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-congress (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides},
Description: OpenStack Policy as a Service - common files
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: congress-server
Architecture: all
Depends: adduser,
         congress-common (= ${binary:Version}),
         debconf,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Policy as a Service - API server
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains the API server on which clients will connect.

## congress 5.0.0

=== debian/changelog ===
congress (5.0.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 22 Feb 2017 15:02:08 +0000

congress (5.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 09:27:36 -0500

## congress 6.0.0~b3

=== debian/changelog ===
congress (6.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 13:39:34 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                openstack-pkg-tools (>= 52~),
                po-debconf,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: python-alembic (>= 0.8.10),
@@ -18,33 +18,36 @@
                      python-aodhclient (>= 0.7.0),
                      python-babel (>= 2.3.4),
                      python-ceilometerclient (>= 2.5.0),
-                     python-cinderclient (>= 1.6.0),
+                     python-cinderclient (>= 3.0.0),
                      python-coverage (>= 4.0),
+                     python-cryptography (>= 1.6),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
-                     python-glanceclient (>= 1:2.5.0),
-                     python-hacking (>= 0.10.2),
+                     python-glanceclient (>= 1:2.7.0),
+                     python-hacking (>= 0.12.0),
                      python-heatclient (>= 1.6.1),
-                     python-ironicclient (>= 1.11.0),
-                     python-keystoneauth1 (>= 2.18.0),
+                     python-ironicclient (>= 1.14.0),
+                     python-jsonschema (>= 2.0.0),
+                     python-keystoneauth1 (>= 3.0.1),
                      python-keystoneclient (>= 1:3.8.0),
                      python-keystonemiddleware (>= 4.12.0),
                      python-mock (>= 2.0),
+                     python-monascaclient (>= 1.1.0),
                      python-mox3 (>= 0.7.0),
                      python-muranoclient (>= 0.8.2),
-                     python-neutronclient (>= 1:5.1.0),
-                     python-novaclient (>= 2:6.0.0),
+                     python-neutronclient (>= 1:6.3.0),
+                     python-novaclient (>= 2:9.0.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.15.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
-                     python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
+                     python-oslo.db (>= 4.24.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.24.2),
+                     python-oslo.middleware (>= 3.27.0),
+                     python-oslo.policy (>= 1.23.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslo.vmware (>= 2.17.0),
                      python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
@@ -53,7 +56,7 @@
                      python-pulp (>= 1.4.1),
                      python-dateutil (>= 2.4.2),
                      python-requests-mock (>= 1.1),
-                     python-routes (>= 1.12.3),
+                     python-routes (>= 2.3.1),
                      python-six (>= 1.9.0),
                      python-sphinx (>= 1.2.1),
                      python-swiftclient (>= 1:3.2.0),
@@ -61,7 +64,7 @@
                      python-testrepository (>= 0.0.18),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
-                     python-webob (>= 1.6.0),
+                     python-webob (>= 1.7.1),
                      subunit,
                      testrepository
 Standards-Version: 3.9.8
@@ -76,38 +79,41 @@
          python-aodhclient (>= 0.7.0),
          python-babel (>= 2.3.4),
          python-ceilometerclient (>= 2.5.0),
-         python-cinderclient (>= 1.6.0),
+         python-cinderclient (>= 3.0.0),
+         python-cryptography (>= 1.6),
          python-eventlet (>= 0.18.2),
-         python-glanceclient (>= 1:2.5.0),
+         python-glanceclient (>= 1:2.7.0),
          python-heatclient (>= 1.6.1),
-         python-ironicclient (>= 1.6.0),
-         python-keystoneauth1 (>= 2.14.0),
+         python-ironicclient (>= 1.14.0),
+         python-jsonschema (>= 2.0.0),
+         python-keystoneauth1 (>= 3.0.1),
          python-keystoneclient (>= 1:3.8.0),
          python-keystonemiddleware (>= 4.2.0),
+         python-monascaclient (>= 1.1.0),
          python-muranoclient (>= 0.8.2),
-         python-neutronclient (>= 1:5.1.0),
-         python-novaclient (>= 2:2.29.0),
+         python-neutronclient (>= 1:6.3.0),
+         python-novaclient (>= 2:9.0.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.9.0),
-         python-oslo.db (>= 4.11.0),
-         python-oslo.log (>= 3.11.0),
-         python-oslo.messaging (>= 5.14.0),
-         python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 1.17.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
+         python-oslo.db (>= 4.24.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.24.2),
+         python-oslo.middleware (>= 3.27.0),
+         python-oslo.policy (>= 1.23.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
          python-oslo.vmware (>= 2.15.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          python-pulp (>= 1.4.1),
          python-dateutil (>= 2.4.2),
-         python-routes (>= 1.12.3),
+         python-routes (>= 2.3.1),
          python-six (>= 1.9.0),
          python-swiftclient (>= 1:3.2.0),
-         python-webob (>= 1.6.0),
+         python-webob (>= 1.7.1),
          ${misc:Depends},
          ${python:Depends}
 Description: OpenStack Policy as a Service - Python libraries

## congress 6.0.0~rc1

=== debian/changelog ===
congress (6.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 14:48:26 -0400

=== debian/control ===
--- 
+++ 
@@ -18,25 +18,26 @@
                      python-aodhclient (>= 0.7.0),
                      python-babel (>= 2.3.4),
                      python-ceilometerclient (>= 2.5.0),
-                     python-cinderclient (>= 3.0.0),
+                     python-cinderclient (>= 3.1.0),
                      python-coverage (>= 4.0),
                      python-cryptography (>= 1.6),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
-                     python-glanceclient (>= 1:2.7.0),
+                     python-glanceclient (>= 1:2.8.0),
                      python-hacking (>= 0.12.0),
                      python-heatclient (>= 1.6.1),
                      python-ironicclient (>= 1.14.0),
                      python-jsonschema (>= 2.0.0),
-                     python-keystoneauth1 (>= 3.0.1),
+                     python-keystoneauth1 (>= 3.1.0),
                      python-keystoneclient (>= 1:3.8.0),
                      python-keystonemiddleware (>= 4.12.0),
                      python-mock (>= 2.0),
-                     python-monascaclient (>= 1.1.0),
+                     python-monascaclient (>= 1.7.0),
                      python-mox3 (>= 0.7.0),
                      python-muranoclient (>= 0.8.2),
                      python-neutronclient (>= 1:6.3.0),
                      python-novaclient (>= 2:9.0.0),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:4.0.0),
                      python-oslo.context (>= 2.14.0),
@@ -79,17 +80,17 @@
          python-aodhclient (>= 0.7.0),
          python-babel (>= 2.3.4),
          python-ceilometerclient (>= 2.5.0),
-         python-cinderclient (>= 3.0.0),
+         python-cinderclient (>= 3.1.0),
          python-cryptography (>= 1.6),
          python-eventlet (>= 0.18.2),
-         python-glanceclient (>= 1:2.7.0),
+         python-glanceclient (>= 1:2.8.0),
          python-heatclient (>= 1.6.1),
          python-ironicclient (>= 1.14.0),
          python-jsonschema (>= 2.0.0),
-         python-keystoneauth1 (>= 3.0.1),
+         python-keystoneauth1 (>= 3.1.0),
          python-keystoneclient (>= 1:3.8.0),
          python-keystonemiddleware (>= 4.2.0),
-         python-monascaclient (>= 1.1.0),
+         python-monascaclient (>= 1.7.0),
          python-muranoclient (>= 0.8.2),
          python-neutronclient (>= 1:6.3.0),
          python-novaclient (>= 2:9.0.0),

## congress 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
PuLP>=1.4.1 # MIT
keystoneauth1>=3.1.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
aodhclient>=0.7.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-heatclient>=1.6.1 # Apache-2.0
python-monascaclient>=1.7.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-novaclient>=9.0.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient>=3.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-ironicclient>=1.14.0 # Apache-2.0
alembic>=0.8.10 # MIT
cryptography!=2.0,>=1.6 # BSD/Apache-2.0
python-dateutil>=2.4.2 # BSD
python-glanceclient>=2.8.0 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.9.0 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== debian/changelog ===
congress (6.0.0-0ubuntu1.1) artful; urgency=medium

  * d/control: Add python-antlr3 to Depends (LP: #1687298).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 Sep 2017 10:26:47 -0400

congress (6.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:11:35 -0400

=== debian/control ===
--- 
+++ 
@@ -77,6 +77,7 @@
 Section: python
 Architecture: all
 Depends: python-alembic (>= 0.8.10),
+         python-antlr3,
          python-aodhclient (>= 0.7.0),
          python-babel (>= 2.3.4),
          python-ceilometerclient (>= 2.5.0),

## congress 7.0.0~b1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
jsonschema<3.0.0,>=2.6.0 # MIT
PuLP>=1.4.1 # MIT
keystoneauth1>=3.2.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
aodhclient>=0.9.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-monascaclient>=1.7.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient>=3.2.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-ironicclient>=1.14.0 # Apache-2.0
alembic>=0.8.10 # MIT
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
python-dateutil>=2.4.2 # BSD
python-glanceclient>=2.8.0 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.9.0 # MIT
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.config>=4.6.0 # Apache-2.0
oslo.context!=2.19.1,>=2.14.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service>=1.24.0 # Apache-2.0
oslo.utils>=3.28.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== debian/changelog ===
congress (7.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/fix-test-mocking-and-disable-ceilometer-tempest-test.patch: Cherry-
    picked from upstream master branch to fix failing unit test imports.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Nov 2017 15:23:49 -0500

=== debian/control ===
--- 
+++ 
@@ -12,54 +12,54 @@
                python-all,
                python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.6.2),
 Build-Depends-Indep: python-alembic (>= 0.8.10),
                      python-antlr3,
-                     python-aodhclient (>= 0.7.0),
+                     python-aodhclient (>= 0.9.0),
                      python-babel (>= 2.3.4),
                      python-ceilometerclient (>= 2.5.0),
-                     python-cinderclient (>= 3.1.0),
+                     python-cinderclient (>= 1:3.2.0),
                      python-coverage (>= 4.0),
-                     python-cryptography (>= 1.6),
+                     python-cryptography (>= 1.9),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
                      python-glanceclient (>= 1:2.8.0),
                      python-hacking (>= 0.12.0),
-                     python-heatclient (>= 1.6.1),
+                     python-heatclient (>= 1.10.0),
                      python-ironicclient (>= 1.14.0),
-                     python-jsonschema (>= 2.0.0),
-                     python-keystoneauth1 (>= 3.1.0),
+                     python-jsonschema (>= 2.6.0),
+                     python-keystoneauth1 (>= 3.2.0),
                      python-keystoneclient (>= 1:3.8.0),
-                     python-keystonemiddleware (>= 4.12.0),
-                     python-mock (>= 2.0),
+                     python-keystonemiddleware (>= 4.17.0),
+                     python-mock (>= 2.0.0),
                      python-monascaclient (>= 1.7.0),
-                     python-mox3 (>= 0.7.0),
+                     python-mox3 (>= 0.20.0),
                      python-muranoclient (>= 0.8.2),
                      python-neutronclient (>= 1:6.3.0),
-                     python-novaclient (>= 2:9.0.0),
+                     python-novaclient (>= 2:9.1.0),
                      python-openstackdocstheme (>= 1.16.0),
-                     python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:4.0.0),
-                     python-oslo.context (>= 2.14.0),
-                     python-oslo.db (>= 4.24.0),
-                     python-oslo.log (>= 3.22.0),
-                     python-oslo.messaging (>= 5.24.2),
-                     python-oslo.middleware (>= 3.27.0),
+                     python-oslo.concurrency (>= 3.20.0),
+                     python-oslo.config (>= 1:4.6.0),
+                     python-oslo.context (>= 1:2.14.0),
+                     python-oslo.db (>= 4.27.0),
+                     python-oslo.log (>= 3.30.0),
+                     python-oslo.messaging (>= 5.29.0),
+                     python-oslo.middleware (>= 3.31.0),
                      python-oslo.policy (>= 1.23.0),
-                     python-oslo.serialization (>= 1.10.0),
-                     python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.20.0),
+                     python-oslo.serialization (>= 2.18.0),
+                     python-oslo.service (>= 1.24.0),
+                     python-oslo.utils (>= 3.28.0),
                      python-oslo.vmware (>= 2.17.0),
                      python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
-                     python-paste,
+                     python-paste (>= 2.0.2),
                      python-pastedeploy (>= 1.5.0),
                      python-pulp (>= 1.4.1),
                      python-dateutil (>= 2.4.2),
-                     python-requests-mock (>= 1.1),
+                     python-requests-mock (>= 1.1.0),
                      python-routes (>= 2.3.1),
                      python-six (>= 1.9.0),
-                     python-sphinx (>= 1.2.1),
+                     python-sphinx (>= 1.6.2),
                      python-swiftclient (>= 1:3.2.0),
                      python-tenacity (>= 3.2.1),
                      python-testrepository (>= 0.0.18),
@@ -78,36 +78,36 @@
 Architecture: all
 Depends: python-alembic (>= 0.8.10),
          python-antlr3,
-         python-aodhclient (>= 0.7.0),
+         python-aodhclient (>= 0.9.0),
          python-babel (>= 2.3.4),
          python-ceilometerclient (>= 2.5.0),
-         python-cinderclient (>= 3.1.0),
-         python-cryptography (>= 1.6),
+         python-cinderclient (>= 1:3.2.0),
+         python-cryptography (>= 1.9),
          python-eventlet (>= 0.18.2),
          python-glanceclient (>= 1:2.8.0),
-         python-heatclient (>= 1.6.1),
+         python-heatclient (>= 1.10.0),
          python-ironicclient (>= 1.14.0),
-         python-jsonschema (>= 2.0.0),
-         python-keystoneauth1 (>= 3.1.0),
+         python-jsonschema (>= 2.6.0),
+         python-keystoneauth1 (>= 3.2.0),
          python-keystoneclient (>= 1:3.8.0),
-         python-keystonemiddleware (>= 4.2.0),
+         python-keystonemiddleware (>= 4.17.0),
          python-monascaclient (>= 1.7.0),
          python-muranoclient (>= 0.8.2),
          python-neutronclient (>= 1:6.3.0),
-         python-novaclient (>= 2:9.0.0),
-         python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:4.0.0),
-         python-oslo.context (>= 2.14.0),
-         python-oslo.db (>= 4.24.0),
-         python-oslo.log (>= 3.22.0),
-         python-oslo.messaging (>= 5.24.2),
-         python-oslo.middleware (>= 3.27.0),
+         python-novaclient (>= 2:9.1.0),
+         python-oslo.concurrency (>= 3.20.0),
+         python-oslo.config (>= 1:4.6.0),
+         python-oslo.context (>= 1:2.14.0),
+         python-oslo.db (>= 4.27.0),
+         python-oslo.log (>= 3.30.0),
+         python-oslo.messaging (>= 5.29.0),
+         python-oslo.middleware (>= 3.31.0),
          python-oslo.policy (>= 1.23.0),
-         python-oslo.serialization (>= 1.10.0),
-         python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.20.0),
+         python-oslo.serialization (>= 2.18.0),
+         python-oslo.service (>= 1.24.0),
+         python-oslo.utils (>= 3.28.0),
          python-oslo.vmware (>= 2.15.0),
-         python-paste,
+         python-paste (>= 2.0.2),
          python-pastedeploy (>= 1.5.0),
          python-pbr (>= 2.0.0),
          python-pulp (>= 1.4.1),

## congress 7.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
jsonschema<3.0.0,>=2.6.0 # MIT
PuLP>=1.4.1 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
aodhclient>=0.9.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-monascaclient>=1.7.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-ironicclient>=1.14.0 # Apache-2.0
python-mistralclient>=3.1.0  # Apache-2.0
alembic>=0.8.10 # MIT
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
python-dateutil>=2.4.2 # BSD
python-glanceclient>=2.8.0 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.10.0 # MIT
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== debian/changelog ===
congress (7.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10, drop BD on dh-systemd.
  * d/watch: Scope to Queens series.
  * d/p/fix-test-mocking-and-disable-ceilometer-tempest-test.patch:
    Dropped. Fixed in upstream milestone.
  * d/p/skip-tests.patch: Dropped. No longer needed.
  * d/rules, d/congress-common.install, d/congress-common.postrm,
    d/congress-common.postinst.in: Account for change in location of
    api-paste.ini and drop policy.json install to align with upstream
    policy in code.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 08:19:15 -0500

=== debian/control ===
Source: congress
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-alembic (>= 0.8.10),
 python-antlr3,
 python-aodhclient (>= 0.9.0),
 python-babel (>= 2.3.4),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.3.0),
 python-coverage (>= 4.0),
 python-cryptography (>= 1.9),
 python-dateutil (>= 2.4.2),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-glanceclient (>= 1:2.8.0),
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0),
 python-ironicclient (>= 1.14.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-mistralclient (>= 1:3.1.0),
 python-mock (>= 2.0.0),
 python-monascaclient (>= 1.7.0),
 python-mox3 (>= 0.20.0),
 python-muranoclient (>= 0.8.2),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.vmware (>= 2.17.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pulp (>= 1.4.1),
 python-requests-mock (>= 1.1.0),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sphinx (>= 1.6.2),
 python-subunit (>= 1.0.0),
 python-swiftclient (>= 1:3.2.0),
 python-tenacity (>= 3.2.1),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/congress
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/congress
Homepage: http://congress.openstack.org/

Package: congress-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-congress (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Description: OpenStack Policy as a Service - common files
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: congress-server
Architecture: all
Depends:
 adduser,
 congress-common (= ${binary:Version}),
 debconf,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Policy as a Service - API server
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains the API server on which clients will connect.

Package: python-congress
Section: python
Architecture: all
Depends:
 python-alembic (>= 0.8.10),
 python-antlr3,
 python-aodhclient (>= 0.9.0),
 python-babel (>= 2.3.4),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.3.0),
 python-cryptography (>= 1.9),
 python-dateutil (>= 2.4.2),
 python-eventlet (>= 0.18.2),
 python-glanceclient (>= 1:2.8.0),
 python-heatclient (>= 1.10.0),
 python-ironicclient (>= 1.14.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-mistralclient (>= 1:3.1.0),
 python-monascaclient (>= 1.7.0),
 python-muranoclient (>= 0.8.2),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.vmware (>= 2.17.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-pulp (>= 1.4.1),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-swiftclient (>= 1:3.2.0),
 python-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Policy as a Service - Python libraries
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains the Python libraries that are part of Cinder.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	antlr3 congress/datalog/Congress.g
	PYTHONPATH=$(CURDIR) bash run_tests.sh -N -P
	rm -f congress/datalog/CongressLexer.py congress/datalog/CongressParser.py
endif

override_dh_clean:
	dh_clean
	rm -f debian/congress-common.config debian/congress-common.postinst debian/congress-server.config debian/congress-api.postinst
	rm -rf debian/*.upstart debian/*.service
	rm -f congress/datalog/CongressLexer.py congress/datalog/CongressParser.py

override_dh_auto_install:
	echo "Please do nothing."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-server.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-server.postinst

override_dh_install:
	antlr3 congress/datalog/Congress.g
	sed -i '1 s/#.*/# Generated by antlr3/' congress/datalog/CongressParser.py
	sed -i '1 s/#.*/# Generated by antlr3/' congress/datalog/CongressLexer.py
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
        done
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages/congress/datalog/Python*

	mkdir -p $(CURDIR)/debian/congress-common/usr/share/congress-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-pacakges oslo-config-generator --output-file $(CURDIR)/debian/congress-common/usr/share/congress-common/congress.conf \
		--wrap-width 79 \
		--namespace congress \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.db \
		--namespace oslo.middleware.cors \
		--namespace oslo.messaging \
		--namespace keystonemiddleware.auth_token
	sed -i 's/[ \t#]*auth_protocol[ \t]*=.*/auth_protocol = http/' $(CURDIR)/debian/congress-common/usr/share/congress-common/congress.conf

	dh_install --fail-missing

	cp congress/db/migration/alembic.ini $(CURDIR)/debian/python-congress/usr/lib/python2.7/dist-packages/congress/db/migration/

## congress 7.0.0~rc1

=== debian/changelog ===
congress (7.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules, d/control: Run tests with ostestr and concurrency 1 as
    tests/haht/test_congress_haht.py cannot run in parallel.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 21:33:45 -0500

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	antlr3 congress/datalog/Congress.g
-	PYTHONPATH=$(CURDIR) bash run_tests.sh -N -P
+	ostestr --slowest --concurrency 1
 	rm -f congress/datalog/CongressLexer.py congress/datalog/CongressParser.py
 endif

## congress 7.0.0~rc2

=== debian/changelog ===
congress (7.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Feb 2018 16:37:56 -0500

congress (7.0.0~rc1-0ubuntu2) bionic; urgency=medium

  * d/rules, control: Skip tests in tests/haht/test_congress_haht.py
    as they require network access.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 15:52:35 -0500

## congress 7.0.0

=== Makefile ===

TOPDIR=$(CURDIR)
SRCDIR=$(TOPDIR)/congress

all: docs

clean:
	find . -name '*.pyc' -exec rm -f {} \;
	rm -Rf $(TOPDIR)/doc/html/*

docs: $(TOPDIR)/doc/source/*.rst
	sphinx-build -b html $(TOPDIR)/doc/source $(TOPDIR)/doc/html

=== requirements.txt ===
--- 
+++ 
@@ -20,14 +20,15 @@
 python-neutronclient>=6.3.0 # Apache-2.0
 python-cinderclient>=3.3.0 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
-python-ironicclient>=1.14.0 # Apache-2.0
-python-mistralclient>=3.1.0  # Apache-2.0
+python-ironicclient>=2.2.0 # Apache-2.0
+python-mistralclient>=3.1.0 # Apache-2.0
 alembic>=0.8.10 # MIT
 cryptography!=2.0,>=1.9 # BSD/Apache-2.0
 python-dateutil>=2.4.2 # BSD
 python-glanceclient>=2.8.0 # Apache-2.0
 Routes>=2.3.1 # MIT
 six>=1.10.0 # MIT
+tenacity>=3.2.1 # Apache-2.0
 oslo.concurrency>=3.25.0 # Apache-2.0
 oslo.config>=5.1.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0

=== debian/changelog ===
congress (7.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 12:56:24 -0500

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  python-glanceclient (>= 1:2.8.0),
  python-hacking (>= 0.12.0),
  python-heatclient (>= 1.10.0),
- python-ironicclient (>= 1.14.0),
+ python-ironicclient (>= 2.2.0),
  python-jsonschema (>= 2.6.0),
  python-keystoneauth1 (>= 3.3.0),
  python-keystoneclient (>= 1:3.8.0),
@@ -42,6 +42,7 @@
  python-neutronclient (>= 1:6.3.0),
  python-novaclient (>= 2:9.1.0),
  python-openstackdocstheme (>= 1.18.1),
+ python-os-testr (>= 1.0.0),
  python-oslo.concurrency (>= 3.25.0),
  python-oslo.config (>= 1:5.1.0),
  python-oslo.context (>= 1:2.19.2),
@@ -129,7 +130,7 @@
  python-eventlet (>= 0.18.2),
  python-glanceclient (>= 1:2.8.0),
  python-heatclient (>= 1.10.0),
- python-ironicclient (>= 1.14.0),
+ python-ironicclient (>= 2.2.0),
  python-jsonschema (>= 2.6.0),
  python-keystoneauth1 (>= 3.3.0),
  python-keystoneclient (>= 1:3.8.0),
@@ -158,6 +159,7 @@
  python-routes (>= 2.3.1),
  python-six (>= 1.10.0),
  python-swiftclient (>= 1:3.2.0),
+ python-tenacity (>= 3.2.1),
  python-webob (>= 1:1.7.1),
  ${misc:Depends},
  ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	antlr3 congress/datalog/Congress.g
-	ostestr --slowest --concurrency 1
+	ostestr --slowest --regex "^(?!congress\.tests\.haht\.test_congress_haht.*)"
 	rm -f congress/datalog/CongressLexer.py congress/datalog/CongressParser.py
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.openstack.org/congress/ congress-(7\.\d.*)\.tar\.gz
